@echo off
cls
REM  Binfer Inc. [Use of this software is subject to the terms and conditions. See https://help.binfer.com/installation/installing-binfer-in-windows-silent-service for more details
SET CURRDIR=%~dp0
cd /D %CURRDIR%
echo %CURRDIR%

SET PORT=1212

REM do not enclose INSTALLDIR in QUOTES. CURRDIR already ends with \ so dont add in the paths below
SET INSTALLDIR=%CURRDIR%binfer-server
mkdir %INSTALLDIR%

SET DOWNLOADPATH="%CURRDIR%data"
mkdir %DOWNLOADPATH%

SET SYSTEMPATH="%CURRDIR%system"
mkdir %SYSTEMPATH%

REM IF INSTALLTYPE=CLIENT provide access file full path or link. Must be enclosed in quotes.
SET PCFILE=

REM IF INSTALLTYPE=SERVER comment PCFILE above, uncomment below, and provide userid and password.
REM SET USERID=
REM SET PASSWORD=

REM /D must be the last parameter and cannot be inside quotes
binfer-server-win-6.0.9.9.exe /S /PORT=%PORT% /INSTALLTYPE=CLIENT /DOWNLOADPATH=%DOWNLOADPATH% /SYSTEMPATH=%SYSTEMPATH% /PCFILE=%PCFILE% /USERID= /PASSWORD= /D=%INSTALLDIR%

REM example to run directly from command line: binfer-server-win-6.0.9.9.exe /S /PORT=1212 /INSTALLTYPE=CLIENT /DOWNLOADPATH="C:\Binfer\SilentClient\binfer-data" /SYSTEMPATH="C:\Binfer\SilentClient\binfer-system" /PCFILE="C:\Binfer\SilentClient\SilentClient.pc" /USERID= /PASSWORD= /D=C:\Binfer\SilentClient\binfer-server
